# BEGIN SourceDeps(oneline):
BuildRequires: perl(FindBin.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name cli-numbers-util
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.31
Release: alt1
Summary: Handling number stream input
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TU/TULAMILI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
 By installing this module the following CLIs are available: 

    cumsum -- To calculate accumulative sum of numbers from STDIN. 
    rounding -- Numeric rounding 
    zeropad -- Zeropadding for each of input.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/c*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sat Mar 31 2018 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1
- initial import by package builder

